///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	BBCUI.h 
//	SUMMARY:	User Interface for a Billiard-Ball Computation Annotation
//	SUPERCLASS:	Object
//	INTERFACE:	BBCUI
//	PROTOCOLS:	<Inspectable>
//	AUTHOR:		Rohit Khare
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//	DESCRIPTION
//		A shared-UI for BBC objects (which in turn forward state to BBCViews).
//			* FileWell
//			* Name
//			* Show paths
//			* Accelerated
//			* Editable
//			* PlayButtons (no auto-play this time, just frame-fwd and back,
//		with continuous message sending.
//		Separated out controller from old BilliardView code.
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	05/29/94:	Created.
///////////////////////////////////////////////////////////////////////////////

#import "eTextKernel.h"
#import "BBC.h"

@interface BBCUI:Object <Inspectable>
{
	id	fileWell;
	id	nameField;
	id	accelSwitch;
	id  editSwitch;
	id  pathSwitch;
	id  fwdButton;
	id  backButton;
	id	hresField;
	id	vresField;
	id	bbcPanel;
	id	bbcView;
	id	theBBC;
}

+ new;
- setName:sender;
- setShowPath:sender;
- setAccelerated:sender;
- setEditable:sender;
- setBBC:newBBC;
- bbc;
- clickFwd:sender;
- clickBack:sender;
- setRes:sender;
- load;
@end