///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	ZeTSlide.h 
//	SUMMARY:	Part of slide-show annotations to eText documents
//	SUPERCLASS:	Object
//	INTERFACE:	None
//	PROTOCOLS:	<DocNotification, Annotation, Tool, ASCIISupport>
//	AUTHOR:		Tom Zavisca
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//	DESCRIPTION
//	
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//  07/05/94:   Given a reasonable chance in this world.
//	03/10/94:	Created, but poorly and rashly.
///////////////////////////////////////////////////////////////////////////////

#import "eTextKernel.h"

@interface eTSlide:Object <DocNotification, Annotation, Tool, ASCIISupport>
{
    id				theImage;
	id				theSound;
	id				theText;
	id				theLayout;
	id				mySlideShow;  // ecah slide belongs to its own slidehsow
	NXAtom			theName;
	NXImage			*icon;
	NXAtom			slideDir;
	int				counter;
	BOOL 			isLinked;
}

- resetName:(NXAtom)string;
- resetPath:(NXAtom)string;
- image;
- (NXAtom) theName;
- doc;
- (BOOL)isLinked;
- setLinked:(BOOL)l;
- click:sender;
- doubleClick:sender;
- commandClick:sender;
@end